
clear all; close all; clc;


L=1; T=1; 
Nx=301; Nt=101; 
dx=L/(Nx-1); dt=T/(Nt-1);
x=0:dx:L; t=0:dt:T;

beta=0.0001; 
z_func=@(x) (x>=1.7*L/3).*(x<=3.5*L/4); 
z_aux=z_func(x)';
z=zeros(Nx,Nt);
for j=1:Nt
    z(:,j)=z_aux;
end

A=zeros(Nx,Nx);
for i=2:Nx-1
    A(i,i-1)=-1/dx^2;
    A(i,i)=2/dx^2;
    A(i,i+1)=-1/dx^2;
end
A(1,1)=1; A(Nx,Nx)=1;
At=A'; At(1,:)=[1,zeros(1,Nx-1)]; At(Nx,:)=[zeros(1,Nx-1),1];
R_A=(eye(Nx)+dt*A)^-1; R_Ad=(eye(Nx)+dt*At)^-1; A_inv=A^-1;

v=zeros(Nx,1);
for i=1:Nx
    if i>=Nx/7 && i<=4*Nx/5
        v(i,1)=1;
    end
end   
B=diag(v);

y0=zeros(Nx,1); pT=zeros(Nx,1);




save('data')