function [y] = primal_eq(R_A,B,u,y0,dt,Nt);
    
    Nx=length(y0); y=zeros(Nx,Nt);
    y(:,1)=y0; y_old=y0;
    
    for n=2:Nt
        
        rhs=y_old+dt*B*u(:,n);
        y(:,n)=R_A*[0;rhs(2:end-1,1);0];
        y_old=y(:,n);
        
    end
    
end

