function [ p ] = dual_eq(R_Ad,z,pT,dt,Nt)
    
    Nx=length(pT); p=zeros(Nx,Nt);
    p(:,Nt)=pT; p_next=pT;
    
    for n=1:Nt-1
        
        rhs=p_next+dt*z(:,Nt-n);
        p(:,Nt-n)=R_Ad*[0; rhs(2:end-1,1); 0];
        p_next=p(:,Nt-n);
        
    end
    
end

